Open CASCADE Technology
7.2.0
|
#include <BRepFill_Draft.hxx>
Public Member Functions | |
BRepFill_Draft (const TopoDS_Shape &Shape, const gp_Dir &Dir, const Standard_Real Angle) | |
void | SetOptions (const BRepFill_TransitionStyle Style=BRepFill_Right, const Standard_Real AngleMin=0.01, const Standard_Real AngleMax=3.0) |
void | SetDraft (const Standard_Boolean IsInternal=Standard_False) |
void | Perform (const Standard_Real LengthMax) |
void | Perform (const Handle< Geom_Surface > &Surface, const Standard_Boolean KeepInsideSurface=Standard_True) |
void | Perform (const TopoDS_Shape &StopShape, const Standard_Boolean KeepOutSide=Standard_True) |
Standard_Boolean | IsDone () const |
TopoDS_Shell | Shell () const |
Returns the draft surface To have the complete shape you have to use the Shape() methode. More... | |
const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S) |
Returns the list of shapes generated from the shape <S>. More... | |
TopoDS_Shape | Shape () const |
BRepFill_Draft::BRepFill_Draft | ( | const TopoDS_Shape & | Shape, |
const gp_Dir & | Dir, | ||
const Standard_Real | Angle | ||
) |
const TopTools_ListOfShape& BRepFill_Draft::Generated | ( | const TopoDS_Shape & | S | ) |
Returns the list of shapes generated from the shape <S>.
Standard_Boolean BRepFill_Draft::IsDone | ( | ) | const |
void BRepFill_Draft::Perform | ( | const Standard_Real | LengthMax | ) |
void BRepFill_Draft::Perform | ( | const Handle< Geom_Surface > & | Surface, |
const Standard_Boolean | KeepInsideSurface = Standard_True |
||
) |
void BRepFill_Draft::Perform | ( | const TopoDS_Shape & | StopShape, |
const Standard_Boolean | KeepOutSide = Standard_True |
||
) |
void BRepFill_Draft::SetDraft | ( | const Standard_Boolean | IsInternal = Standard_False | ) |
void BRepFill_Draft::SetOptions | ( | const BRepFill_TransitionStyle | Style = BRepFill_Right , |
const Standard_Real | AngleMin = 0.01 , |
||
const Standard_Real | AngleMax = 3.0 |
||
) |
TopoDS_Shape BRepFill_Draft::Shape | ( | ) | const |
TopoDS_Shell BRepFill_Draft::Shell | ( | ) | const |
Returns the draft surface To have the complete shape you have to use the Shape() methode.